Package twisted :: Package trial :: Module remote :: Class DecodeReport |
[frames | no frames]

## Class DecodeReport

           Ephemeral --+
                       |
    BaseProtocol --+   |
                   |   |
            Protocol --+
                       |
                  Pynana --+
                           |
                      Canana --+
                               |
                              DecodeReport

Known Subclasses:
  `TrialProcessProtocol`

Method Summary
| `__init__(self, reporter)`
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received.
Inherited from Canana
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, chunk)`
| ``sendEncoded`(self, obj)`
Inherited from Pynana
| ``_encode`(self, obj, write)`
| ``_selectDialect`(self, dialect)`
| ``callExpressionReceived`(self, obj)`
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation.
| ``gotItem`(self, item)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
Inherited from Pynana
`str` | `buffer` = `''`
`dict` | `incomingVocabulary` = `{1: 'None', 2: 'class', 3: 'derefer...`
`str` | `k` = `'lcache'`
`list` | `knownDialects` = `['pb', 'none']`
`dict` | `outgoingVocabulary` = `{'function': 6, 'None': 1, 'diction...`
`int` | `v` = 18
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### expressionReceived(self, lst) Called when an expression (list, string, or int) is received. Overrides: `twisted.spread.banana.Pynana.expressionReceived` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:42 2003 | http://epydoc.sf.net